%stiansel

function joint_angles = inverseMin(cart_cord)

%nsket sluttkoordinat gitt fra OrigoB
xc = cart_cord(1);
yc = cart_cord(2);
zc = cart_cord(3);

%Robotens leddlengder som i oppgaven:
L1 = 281;
L2 = 238.93;
L3 = 231;
L4 = 0;%50;

%Merk matlab sin atan2 er atan2(y, x) ikke atan2(x, y)
joint_angles(1) = radtodeg(atan2(yc,xc)); % Ene lsningen for theta 1. Andre ved t1+pi

%N som vi har t1 kan vi forenkle tankegangen for de resterende to leddene:
%Tenker derfor p de resterende forenklet til planet

r = sqrt(xc^2 + yc^2);
s = zc - L1;

D = (r^2 + s^2 - L2^2-(L3+L4)^2) / (2*L2*(L3+L4)); %merk: offset d=0

%Finner vinkelen theta3
joint_angles(3) = radtodeg(atan2(sqrt(1 - D^2), D)); %elbow up
%Kan s regne ut theta2 n som vi har bestemt oss for theta3
joint_angles(2) = radtodeg(atan2(-s, r) - atan2((L3+L4)*sind(joint_angles(3)), L2+(L3+L4)*cosd(joint_angles(3))));

end