function robot = openRobot(com_j1, com_j2)

arduino = serial(com_j1);
joint1 = serial(com_j2); %using the original gear motor solution

set(arduino,'BaudRate',115200);
set(joint1,'BaudRate',115200);

fopen(arduino);
fopen(joint1);

robot.ctrl = arduino;
robot.joint1 = joint1;

pause(5);

%On connect the arduino controller is reset. This sets the current position
%as the home position (straight and upright). If the robot isn't turned on
%in the correct position turn off torque, move it manually then reset it:

% motorsOff(robot);
% move manually to the upright position.
% resetJoints(robot);

end