function resetJoints(robot)
%Reset robot using current angles as the joint's zero positions.
servoCmd(robot, 0, 0);
fprintf(robot.joint1,'r\n');

%Turn on position hold so that we stay in the new orientation
servoCmd(robot, 5, 0);

fprintf(robot.joint1, 'm\n');

%Ask for the robot's angles as confirmation of reset.
getStatus(robot);
s1 = fscanf(robot.joint1);

% if (strcmp('Motor on', s1) ~= 1)
%     %Ooopsie, motor of base was on allready. Turn it back on again:
%     fprintf(robot.joint1, 'm\n');
%     fscanf(robot.joint1);
%     disp('oopsie');
% end;

disp(strcat(s1));
