function setRobotAngles(robot, theta1, theta2, theta3)
% theta in deg

t1 = (theta1*1440/90) + 1440;

%Send the desired angles to the controlling arduino.
%servoCmd(robot, 1, theta1);
servoCmd(robot, 2, -theta2);
servoCmd(robot, 3, -theta3);

%legacy code
t1 = double(int16(t1)); %round it as the silly base joint can't handle it otherwise
fprintf(robot.joint1,'a%04u',t1);

s1 = fscanf(robot.joint1);

disp(strcat(s1));
