function j_a = inverse( position )

    Xc = position(1);
    Yc = position(2);
    Zc = position(3);
    
    L1 = 281;
    L2 = 238.93;
    L34 = 231+50;
    
    r2 = Xc^2+Yc^2;
    s = Zc-L1;
    D = (r2+s^2-L2^2-L34^2)/(2*L2*L34);
    if (D <= 1) 
        sD = sqrt(1-D^2);
    
        %theta 1 vinkler
        theta11 = radtodeg(atan2(Yc, Xc)); %Tar inn Y f�r X!!!!!
    
        %theta 3 vinkler
        theta31 = radtodeg(atan2(sD, D));
        theta32 = radtodeg(atan2(-sD, D));
   
        %theta 2 vinkler
        theta21 = radtodeg(atan2(L34*sind(theta32), L2+L34*cosd(theta31))-atan2(s, sqrt(r2)));
  
        j_a = [theta11 theta21 theta31]
    else
        j_a = [0 0 0];
    end
end

    