function [] = Oblig3Sim (robot)

%clear figure
clf

%lengths of arms
%NOTE: Had to convert these the CM because the Sim Model was in CM
%and NOT mm as state in the assignments! 
L = [28.1, 23.893, 23.1+5.0];

%information for the circle
%center positioning in cm
 cx = 450;
 cy = 0;
 cz = 200; 
 %radius of 5 cm
 %the info for u
 axis1x = 0; 
 axis1y = 0;
 axis1z = 5; %the height of circle: Z0
 %the info for v
 axis2x = 0;
 axis2y = 5; %the width of the circle: Y0
 axis2z = 0;
 
%to draw the circle
%where the center of the circle will be 
center = [cx, cy, cz]; 
%vectors for the circle
 u = [axis1x, axis1y, axis1z];
 v = [axis2x, axis2y, axis2z];
%the output of the circle will be placed here
 out = [];
 %this is to be used to paint a circle in matlab
 %part B
 for a=0:360
     %adding info into out
     out = [out; center + cos(deg2rad(a)).*u + sin(deg2rad(a)).*v];
     
 end
 %plotting the circle
 plot3(out(:,1)', out(:,2)', out(:,3)')
 
 %list of angles which the circle will be drawn along
 angles = [];
 %part A
 for i = 1:361
     %use inverse to get our angle by using the position from out
     getInv = inverse(L, out(i,:)')';
     %using the first column from inverse for the wanted positioning
     %front-arm being up
     %the second array is for offset, if needed
     angles = [angles; getInv(1,:) + [0 0 0]];
     
 end
 
 %the times of pausing
 Starttime = 3; %waiting enough time to let the arm move inte position
 Totaltime = 40; %time for each point to draw
 arr=revOfAngle(angles(1,1:3));
 %setting the initial position
 %part C
setRobotAngles(robot,arr(1),arr(2),arr(3));

 pause(Starttime)
 %telling the arm to draw
 for j=2:361
     %going through the entire circle and makes sure to close it
     arr2=revOfAngle(angles(j,:))
     setRobotAngles(robot, arr2(1), arr2(2), arr2(3) );
     pause(Totaltime/360);
 end
 
        
end

