function drawState( angles)
%Draws the current robot state to the figure window

   %Draw robot state:
   clf; %clear figure window
   line([0, 0],[0, 281], 'linewidth', 4); %base
   line([0, 238.93*sind(-angles(2))], [281, 281+238.93*cosd(-angles(2))], 'linewidth', 4); %shoulder
   line([238.93*sind(-angles(2)), 238.93*sind(-angles(2)) + (231+50)*sind(angles(3)-angles(2))], [281+238.93*cosd(-angles(2)) , 281+238.93*cosd(-angles(2)) + (231+50)*cosd(angles(3)-angles(2))], 'linewidth', 4); %wrist
   axis([-500, 500, 0, 1000]);
   
   
   %Draw base joint in the upper right corner. Displayed as a line showing
   %the direction within a circle
   line([300, 300 + 100*sind(angles(1))],[700, 700 + 100*cosd(angles(1))], 'linewidth', 4);
   rectangle('Position', [200, 600, 200, 200], 'Curvature', [1,1]); %actually a circle
   axis off;
end
