function [ joint_angles ] = function_inverse ( cart_cord ,link_length )
x = cart_cord (1);
y = cart_cord (2);
z = cart_cord (3);
L1 = link_length (1) ;
L2 = link_length (2) ;
L3 = link_length (3) ;
Theta1 = 0;
Theta2 = 0;
Theta3 = 0;

15 Theta1 = atan2d (y, x);

 S = (z - L1);
 R = sqrt (x^2+y^2);
 D = ((R^2+S^2- L2 ^2- L3 ^2) /(2* L2*L3));

Theta3 = atan2d (- sqrt (1-D^2) , D);


Theta2 = atan2d (S, R) - atan2d (L3 * sind ( Theta3 ) , L2+( L3* cosd ( Theta3 )));

joint_angles = [ Theta1 -Theta2 -Theta3 ];
end